Backlinks
Turn the backlink exchange on or off
Sets whether the site takes part in the backlink exchange. Other exchange settings are changed in the application.
PATCH
/
profiles
/
{profile_id}
/
backlinks
/
settings
Error
A valid request URL is required to generate request examples{
"data": {
"backlinks": {
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"min_dr_filter": 1,
"effective_min_dr": 1,
"excluded_domains": [
"<string>"
],
"credits": {
"balance": 1,
"monthly_grant": 1,
"monthly_grant_remaining": 1,
"renews_at": "2023-11-07T05:31:56Z"
},
"category": "<string>"
},
"receipt": {
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "accepted",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"meta": {
"request_id": "<string>",
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}Authorizations
OAuth2PersonalAPIKey
Headers
Path Parameters
Body
application/json
⌘I
Error
A valid request URL is required to generate request examples{
"data": {
"backlinks": {
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"min_dr_filter": 1,
"effective_min_dr": 1,
"excluded_domains": [
"<string>"
],
"credits": {
"balance": 1,
"monthly_grant": 1,
"monthly_grant_remaining": 1,
"renews_at": "2023-11-07T05:31:56Z"
},
"category": "<string>"
},
"receipt": {
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "accepted",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"meta": {
"request_id": "<string>",
"operation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}
